Error al intentar ejecutar Spark

Soy nuevo en chispa. He descargado la versión de chispa 1.3.1 precomstackda para la versión 2.6 de hadoop. Extraje y navegué a la carpeta y escribí el siguiente command: ./bin/spark-shell para el cual recibo un error que dice que no se encontró el command spark-shell. Hice lo mismo en Windows usando git bash, por lo que recibo un error al decir

spark-submit: command de línea 26 tput no encontrado

¿Hay algo más que deba hacer antes de intentar encender la chispa?

En Windows, en el indicador de cmd regular, use spark-shell.cmd .
En Linux, en la terminal, cd a su raíz Spark (la suya debe llamarse spark-1.3.1-bin-hadoop2.6 si mantuvo el nombre original) y luego ejecute:

 ./bin/spark-shell 

¿Has cambiado recientemente tu .bash_profile? Cualquier problema con otros commands? Prueba simplemente escribir eg tar en tu caparazón. Todo bien o no?

EDITAR (después del primer comentario a continuación):

A continuación se explica cómo iniciar REPL en Linux (nivel de logging configurado solo en errores).
Spark es solo un enlace simbólico a una versión de Spark que quiero usar, ignóralo y tómalo como tu directory de inicio de Spark:

enter image description here

Y aquí está Windows : enter image description here

Casi no puedes hacer nada mal con lo sencillo que es 🙂

En linux

  1. Instalar scala
  2. Instalar git
  3. Build Spark

Build Spark:

 $ wget http://archive.apache.org/dist/spark/spark-1.5.0/spark-1.5.0-bin-hadoop2.6.tgz $ tar xvf spark-1.5.0-bin-hadoop2.6.tgz $ sudo mv spark-1.5.0-bin-hadoop2.6 /usr/local/spark $ /usr/local/spark/bin/spark-shell 

Después de extraer y navegar a la carpeta, necesita build Apache Spark con este command:

 mvn -DskipTests clean package 

donde es necesario instalar maven (mvn) por

 sudo apt-get install maven